* VERSION 1.0.5
* FIRST VERSION: 21mar2006  by Marc Muendler  muendler@ucsd.edu
* THIS VERSION:  20jun2006  by Sascha Becker  sascha.becker@gmx.de
*

capture log close
clear
set rmsg on
set more off

cd "$rootcafe"
log using "$rootcafe/logs/addlvars.log", replace

global regdef "APC CEE EMU ODV OIN OWE RCA"

/* External data preperation  */
/*----------------------------*/

tempfile cntrgrpbem
use $root/conc/cntry2bemgrp, clear
rename bubakey country
sort country
compress
save `cntrgrpbem'


* Employment level by 2-digit sector (wz93_2dig)
************************************************
use wz93_2dig socsecid using "$root\xba\FDI-worker-data\FDI-worker-total_10.dta", clear
collapse (count) wz93_2dig_empl=socsecid, by(wz93_2dig)
sort wz93_2dig
save "$root\xba\FDI-worker-data\sectorempl-2000.dta", replace

use wz93_2dig socsecid using "$root\xba\FDI-worker-data\FDI-worker-total_14.dta", clear
collapse (count) wz93_2dig_empl=socsecid, by(wz93_2dig)
sort wz93_2dig
save "$root\xba\FDI-worker-data\sectorempl-2001.dta", replace


* Outside margin
****************
foreach year in 2000 2001 { /* year */
  use $root/trade/ger-impinp-exp-secbem-ctrygrp-`year', clear
  rename buba country
  * aggregate countries to 7 regions
  sort country
  merge country using `cntrgrpbem'
  tab _m
  keep if _m==3
  drop _m
  *collapse (sum) import export impinp, by(nace11_code cntrygrp_bem) fast /* old (wrong) version */
  collapse import export (sum) impinp, by(nace11_code country cntrygrp_bem) fast /* test */
  collapse (sum) import export impinp, by(nace11_code cntrygrp_bem) fast /* test */
 
  rename import imp
  rename export exp
  label var imp "Import (in Thd EUR)"
  label var exp "Export (in Thd EUR)"
  label var impinp "Imp. inputs (in Thd EUR)"
  sort cntrygrp_bem
  reshape wide imp exp impinp, i(nace11_code) j(cntrygrp_bem) string

  rename nace11_code wz93_2dig
  sort wz93_2dig
  merge wz93_2dig using "$root\xba\FDI-worker-data\sectorempl-`year'", nokeep
  tab _merge
  keep if _merge==3 /* lose sector 98 = sonstige Waren */
  drop _merge
  
  foreach var in imp exp impinp { /* var */
    foreach reg of global regdef { /* reg */
      replace `var'`reg' = `var'`reg'/wz93_2dig_empl
      rename  `var'`reg'   `var'_`reg'_pc_`year'
      label var `var'_`reg'_pc_`year' "`reg' sector-specific `var' per capita (in Thd EUR)"
    } /* reg */
  } /* var */

  drop wz93_2dig_empl
  sort wz93_2dig
  save "$root\xba\FDI-worker-data\sector-vars-`year'.dta", replace

} /* year */

log close
